package nuapi

import "git.milar.in/milarin/adverr"

var (
	ErrNoCookieSet        = adverr.NewErrTmpl("ErrNoCookieSet", "no API cookie set")
	ErrCurlRequestFailed  = adverr.NewErrTmpl("ErrCurlRequestFailed", "curl request failed for url: '%s'")
	ErrInvalidGzipData    = adverr.NewErrTmpl("ErrInvalidGzipData", "gzip encoded data expected")
	ErrApiRequestFailed   = adverr.NewErrTmpl("ErrApiRequestFailed", "Data retrieval from NU failed")
	ErrApiElementNotFound = adverr.NewErrTmpl("ErrApiElementNotFound", "element not found: '%s'")
)
